import javax.swing.*;

class compositiontest2
{
   public static void main(String args[])
   {
   point n=new point(1.0,2.0);
   circle d1=new circle(3.0,n);
   circle d2=new circle(4.0,2.0,3.0);
   cylinder s1=new cylinder(5.0,d1);
   cylinder s2=new cylinder(5.0,3.0,1.0,2.0);
   String s=n.toString()+"\n "+
   d1.name()+" "+d1.toString()+"\n "+
   d2.name()+" "+d2.toString()+"\n "+
   s1.name()+" "+s1.toString()+"\n "+
   s2.name()+" "+s2.toString()+"\n ";
   JOptionPane.showMessageDialog(null,s,
     "classes: point circle cylinder public composition test",JOptionPane.PLAIN_MESSAGE);
     System.exit(0);}
}
